# GpgFrontend Project: src/ui/dialog/import_export/KeyUploadDialog.h Source File

KeyUploadDialog.h
#ifndef GPGFRONTEND_KEYUPLOADWIDGET_H
#define GPGFRONTEND_KEYUPLOADWIDGET_H
#include "core/GpgContext.h"
#include "ui/GpgFrontendUI.h"
#include "ui/dialog/GeneralDialog.h"
namespace GpgFrontend::UI {
class KeyUploadDialog : public GeneralDialog {
Q_OBJECT
public:
explicit KeyUploadDialog(const KeyIdArgsListPtr& keys_ids, QWidget* parent);
public slots:
void SlotUpload();
private slots:
void slot_upload_key_to_server(const GpgFrontend::ByteArray& keys_data);
void slot_upload_finished();
private:
KeyListPtr m_keys_;
QByteArray m_key_data_;
};
} // namespace GpgFrontend::UI
#endif // GPGFRONTEND_KEYUPLOADWIDGET_H
GpgFrontend::UI::GeneralDialog
Definition: GeneralDialog.h:35
GpgFrontend::UI::KeyUploadDialog
Definition: KeyUploadDialog.h:42
GpgFrontend::UI::KeyUploadDialog::slot_upload_key_to_server
void slot_upload_key_to_server(const GpgFrontend::ByteArray &keys_data)
Definition: KeyUploadDialog.cpp:71
GpgFrontend::UI::KeyUploadDialog::KeyUploadDialog
KeyUploadDialog(const KeyIdArgsListPtr &keys_ids, QWidget *parent)
Construct a new Key Upload Dialog object.
Definition: KeyUploadDialog.cpp:40
GpgFrontend::UI
Definition: FileReadTask.cpp:29